php-jeremeamia-superclosure-2.3.0-1.el5.remi.noarch.rpm


Advertisement

Description

php-jeremeamia-superclosure - Serialize Closure objects, including their context and binding

Property Value
Distribution CentOS 5
Repository Les RPM de Remi i386
Package name php-jeremeamia-superclosure
Package version 2.3.0
Package release 1.el5.remi
Package architecture noarch
Package type rpm
Installed size 48.26 KB
Download size 19.25 KB
Official Mirror rpms.remirepo.net
Even though serializing closures is "not allowed" by PHP,
the SuperClosure library makes it possible
To use this library, you just have to add, in your project:
require-once '/usr/share/php/SuperClosure/autoload.php';

Alternatives

Package Version Architecture Repository
php-jeremeamia-superclosure-2.3.0-1.el5.remi.noarch.rpm 2.3.0 noarch Les RPM de Remi
php-jeremeamia-superclosure-2.2.0-3.el5.remi.noarch.rpm 2.2.0 noarch Les RPM de Remi
php-jeremeamia-superclosure-2.2.0-3.el5.remi.noarch.rpm 2.2.0 noarch Les RPM de Remi
php-jeremeamia-superclosure - - -

Requires

Name Value
php(language) >= 5.4
php-composer(fedora/autoloader) -
php-composer(nikic/php-parser) < 4
php-composer(nikic/php-parser) >= 1.4
php-composer(symfony/polyfill-php56) >= 1.0
php-composer(symfony/polyfill-php56) < 2
php-hash -
php-reflection -
php-spl -
php-tokenizer -

Provides

Name Value
php-composer(jeremeamia/superclosure) = 2.3.0
php-jeremeamia-superclosure = 2.3.0-1.el5.remi

Download

Type URL
Binary Package php-jeremeamia-superclosure-2.3.0-1.el5.remi.noarch.rpm
Source Package php-jeremeamia-superclosure-2.3.0-1.el5.remi.src.rpm

Install Howto

  1. Download latest remi-release rpm from
    http://rpms.remirepo.net/enterprise/5/remi/i386/
  2. Install remi-release rpm:
    # rpm -Uvh remi-release*rpm
  3. Install php-jeremeamia-superclosure rpm package:
    # yum --enablerepo=remi install php-jeremeamia-superclosure

Files

Path
/usr/share/doc/php-jeremeamia-superclosure-2.3.0/LICENSE.md
/usr/share/doc/php-jeremeamia-superclosure-2.3.0/README.md
/usr/share/doc/php-jeremeamia-superclosure-2.3.0/composer.json
/usr/share/php/SuperClosure/SerializableClosure.php
/usr/share/php/SuperClosure/Serializer.php
/usr/share/php/SuperClosure/SerializerInterface.php
/usr/share/php/SuperClosure/autoload.php
/usr/share/php/SuperClosure/Analyzer/AstAnalyzer.php
/usr/share/php/SuperClosure/Analyzer/ClosureAnalyzer.php
/usr/share/php/SuperClosure/Analyzer/Token.php
/usr/share/php/SuperClosure/Analyzer/TokenAnalyzer.php
/usr/share/php/SuperClosure/Analyzer/Visitor/ClosureLocatorVisitor.php
/usr/share/php/SuperClosure/Analyzer/Visitor/MagicConstantVisitor.php
/usr/share/php/SuperClosure/Analyzer/Visitor/ThisDetectorVisitor.php
/usr/share/php/SuperClosure/Exception/ClosureAnalysisException.php
/usr/share/php/SuperClosure/Exception/ClosureSerializationException.php
/usr/share/php/SuperClosure/Exception/ClosureUnserializationException.php
/usr/share/php/SuperClosure/Exception/SuperClosureException.php

Changelog

2016-12-07 - Remi Collet <remi@fedoraproject.org> - 2.3.0-1
- update to 2.3.0
- switch to fedora/autoloader
- allow nikic/php-parser v3
2016-05-21 - Remi Collet <remi@fedoraproject.org> - 2.2.0-3
- use nikic/php-parser v2 when available
2015-12-06 - Remi Collet <remi@fedoraproject.org> - 2.2.0-1
- update to 2.2.0
- run test suite with both php 5 and 7 when available
- add dependency on symfony/polyfill-php56
2015-09-01 - Remi Collet <remi@fedoraproject.org> - 2.1.0-1
- initial package

See Also

Package Description
php-jsonlint-1.5.0-2.el5.remi.noarch.rpm JSON Lint for PHP
php-jsonlint-1.6.0-1.el5.remi.noarch.rpm JSON Lint for PHP
php-justinrainbow-json-schema-2.0.5-4.el5.remi.noarch.rpm A library to validate a json schema
php-justinrainbow-json-schema-2.0.5-5.el5.remi.noarch.rpm A library to validate a json schema
php-justinrainbow-json-schema4-4.1.0-1.el5.remi.noarch.rpm A library to validate a json schema
php-justinrainbow-json-schema4-4.1.0-2.el5.remi.noarch.rpm A library to validate a json schema
php-justinrainbow-json-schema5-5.1.0-1.el5.remi.noarch.rpm A library to validate a json schema
php-justinrainbow-json-schema5-5.2.0-1.el5.remi.noarch.rpm A library to validate a json schema
php-kdyby-events-2.4.1-1.el5.remi.noarch.rpm Events for Nette Framework
php-kdyby-events-3.0.2-1.el5.remi.noarch.rpm Events for Nette Framework
php-kolab-net-ldap3-1.0.2-2.el5.remi.noarch.rpm Advanced functionality for accessing LDAP directories
php-kolab-net-ldap3-1.0.3-1.el5.remi.noarch.rpm Advanced functionality for accessing LDAP directories
php-kukulich-fshl-2.1.0-2.el5.remi.noarch.rpm FSHL: fast syntax highlighter
php-kukulich-fshl-2.1.0-4.el5.remi.noarch.rpm FSHL: fast syntax highlighter
php-latte-2.4.2-1.el5.remi.noarch.rpm Latte: the amazing template engine for PHP
Advertisement
Advertisement